### Method

# Secret Collection search_for_dbus_paths_sync

#### Declaration [src]

    gchar**
    secret_collection_search_for_dbus_paths_sync (
      SecretCollection* collection,
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Search for items matching the `attributes` in `collection`, and return their DBus object paths.

The `attributes` should be a table of string keys and string values.

This function may block indefinitely. Use the asynchronous version in user interface threads.

DBus object paths of the items will be returned. If you would to have `SecretItem` objects to be returned instead, then use the `secret_collection_search_sync()` function.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| Search for items matching these attributes.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| An array of DBus object paths for matching items.
| The array is `NULL`-terminated.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| Each element is a NUL terminated UTF-8 string.